> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# 自由形式のカカオブランドメッセージを配信する

> テンプレートを使わずにメッセージを配信します。

> [!WARNING]
>
> * 1回のリクエストに含まれるすべての送信先に、同じメッセージ内容を配信します。
> * 画像が必要なタイプでは、先に[ブランドメッセージの画像をアップロードする](https://docs.notifly.tech/ja/api-reference/upload-kakao-brand-message-image.md)を呼び出し、レスポンスの`data.images[].url`を使います。
> * `PREMIUM_VIDEO`の`videoUrl`には、カカオBizMessageの動画アップロードAPIで登録とエンコードを終えた配信用URLを指定します。一般的な動画URLやKakaoTVのページURLは使えません。Notiflyの動画アップロードAPIは現在公開していません。動画のアップロードが必要な場合は[contact@notifly.tech](mailto:contact@notifly.tech)にお問い合わせください。
> * 自由形式の配信対象には`M`、`N`、`I`を指定できます。`I+N`には対応していません。
> * このエンドポイントは、カカオトークの配信プラットフォームが`Notifly`のチャネルに対応します。`Notifly (Legacy)`のチャネルでは利用できません。


## OpenAPI

````yaml /ja/api-reference/openapi.yaml post /messages/kakao-brand-message/freestyle
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: Notifly APIサーバー
security: []
tags:
  - name: catalog
    x-group: カタログ
paths:
  /messages/kakao-brand-message/freestyle:
    post:
      summary: send-kakao-brand-message-freestyle
      operationId: sendKakaoBrandMessageFreestyle
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequest'
            examples:
              image:
                summary: 自由形式の画像メッセージ
                value:
                  projectId: example_project_1234567890abcdef
                  channelId: your-kakao-channel-id
                  target: M
                  chatBubbleType: IMAGE
                  message: 새로운 라이브 상품이 등록되었습니다.
                  attachment:
                    image:
                      imgUrl: https://mud-kage.kakao.com/example/image.jpg
                      imgLink: https://example.com/products/123
                  recipientList:
                    - recipientNo: '01012345678'
              carouselCommerce:
                summary: 自由形式のカルーセルコマースメッセージ
                value:
                  projectId: example_project_1234567890abcdef
                  channelId: your-kakao-channel-id
                  target: M
                  chatBubbleType: CAROUSEL_COMMERCE
                  carousel:
                    list:
                      - additionalContent: 오늘만 할인
                        attachment:
                          image:
                            imgUrl: https://mud-kage.kakao.com/example/product-1.jpg
                            imgLink: https://example.com/products/1
                          commerce:
                            title: 첫 번째 상품
                            regularPrice: 10000
                            discountPrice: 8000
                            discountRate: 20
                          button:
                            - name: 구매하기
                              type: WL
                              urlMobile: https://example.com/products/1
                      - attachment:
                          image:
                            imgUrl: https://mud-kage.kakao.com/example/product-2.jpg
                            imgLink: https://example.com/products/2
                          commerce:
                            title: 두 번째 상품
                            regularPrice: 20000
                          button:
                            - name: 구매하기
                              type: WL
                              urlMobile: https://example.com/products/2
                  recipientList:
                    - recipientNo: '01012345678'
      responses:
        '200':
          description: 配信リクエストをキューに登録しました。このレスポンスが示すのはキューへの登録結果です。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KakaoBrandMessageFreestyleSuccessResponse'
              example:
                success: true
        '400':
          description: リクエストの形式が不正であるか、指定された`channelId`の発信者情報が登録されていません。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KakaoBrandMessageFreestyleErrorResponse'
              example:
                success: false
                error: Sender info is not registered.
        '401':
          description: 認証トークンがないか、トークンが無効です。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KakaoBrandMessageFreestyleErrorResponse'
              example:
                success: false
                error: Invalid Authorization Token
        '413':
          description: 指定された送信先が1,000件を超えています。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KakaoBrandMessageFreestyleErrorResponse'
              example:
                success: false
                error: >-
                  Payload Too Large. Can accept up to 1000 recipients per
                  request.
        '500':
          description: 発信者の検索、メッセージデータの作成、またはキューへの登録でサーバーエラーが発生しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KakaoBrandMessageFreestyleErrorResponse'
              example:
                success: false
                error: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    KakaoBrandMessageFreestyleRequest:
      $ref: '#/components/schemas/KakaoBrandMessageFreestyleContent'
    KakaoBrandMessageFreestyleSuccessResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          enum:
            - true
          description: trueは送信リクエストがキューに受け付けられたことを示します。カカオによる最終的な送信成功を意味するものではありません。
    KakaoBrandMessageFreestyleErrorResponse:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
          description: falseは送信リクエストが拒否されたか、サーバーエラーが発生したことを示します。
        error:
          type: string
          description: リクエストの拒否またはサーバーエラーの理由です。
    KakaoBrandMessageFreestyleContent:
      oneOf:
        - title: テキスト型
          allOf:
            - $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequestCommon'
            - type: object
              required:
                - chatBubbleType
                - message
              properties:
                chatBubbleType:
                  type: string
                  description: メッセージタイプ
                  enum:
                    - TEXT
                message:
                  type: string
                  maxLength: 1300
                  description: |
                    ユーザーに送信するメッセージです。

                    - 改行は最大99個です。
                    - URLを入力できます。
                attachment:
                  type: object
                  description: メッセージの添付内容
                  properties:
                    button:
                      type: array
                      maxItems: 5
                      description: |
                        ボタンの一覧です。

                        クーポンを含める場合は最大4個です。
                      items:
                        $ref: >-
                          #/components/schemas/KakaoBrandMessageFreestyleTextImageButton
                    coupon:
                      $ref: '#/components/schemas/KakaoBrandMessageFreestyleCoupon'
        - title: 画像型
          allOf:
            - $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequestCommon'
            - type: object
              required:
                - chatBubbleType
                - message
                - attachment
              properties:
                chatBubbleType:
                  type: string
                  description: メッセージタイプ
                  enum:
                    - IMAGE
                message:
                  type: string
                  maxLength: 1300
                  description: |
                    ユーザーに送信するメッセージです。

                    - 改行は最大99個です。
                    - URLを入力できます。
                attachment:
                  $ref: >-
                    #/components/schemas/KakaoBrandMessageFreestyleImageAttachment
        - title: ワイド画像型
          allOf:
            - $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequestCommon'
            - type: object
              required:
                - chatBubbleType
                - message
                - attachment
              properties:
                chatBubbleType:
                  type: string
                  description: メッセージタイプ
                  enum:
                    - WIDE
                message:
                  type: string
                  maxLength: 76
                  description: |
                    ユーザーに送信するメッセージです。

                    - 改行は最大5個です。
                attachment:
                  $ref: >-
                    #/components/schemas/KakaoBrandMessageFreestyleWideAttachment
        - title: ワイドアイテムリスト型
          allOf:
            - $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequestCommon'
            - type: object
              required:
                - chatBubbleType
                - header
                - attachment
              properties:
                chatBubbleType:
                  type: string
                  description: メッセージタイプ
                  enum:
                    - WIDE_ITEM_LIST
                header:
                  type: string
                  maxLength: 20
                  description: |
                    `header`フィールドは必須です。

                    - 改行は使用できません。
                attachment:
                  type: object
                  description: メッセージの添付内容
                  required:
                    - item
                  properties:
                    item:
                      type: object
                      description: ワイドリストの要素
                      required:
                        - list
                      properties:
                        list:
                          type: array
                          minItems: 3
                          maxItems: 5
                          description: |
                            ワイドリストです。

                            - 1番目のアイテムでは`title`は任意です。
                            - 2番目から5番目のアイテムでは`title`は必須です。
                          items:
                            $ref: >-
                              #/components/schemas/KakaoBrandMessageFreestyleWideItem
                    button:
                      type: array
                      maxItems: 2
                      description: ボタンの一覧
                      items:
                        $ref: '#/components/schemas/KakaoBrandMessageFreestyleButton'
                    coupon:
                      $ref: >-
                        #/components/schemas/KakaoBrandMessageFreestyleWideOrVideoCoupon
        - title: カルーセルフィード型
          allOf:
            - $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequestCommon'
            - type: object
              required:
                - chatBubbleType
                - carousel
              properties:
                chatBubbleType:
                  type: string
                  description: メッセージタイプ
                  enum:
                    - CAROUSEL_FEED
                carousel:
                  type: object
                  description: カルーセルの要素
                  required:
                    - list
                  properties:
                    list:
                      type: array
                      minItems: 2
                      maxItems: 6
                      description: カルーセルのリスト
                      items:
                        $ref: >-
                          #/components/schemas/KakaoBrandMessageFreestyleCarouselFeedItem
                    tail:
                      $ref: >-
                        #/components/schemas/KakaoBrandMessageFreestyleCarouselTail
        - title: プレミアム動画型
          allOf:
            - $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequestCommon'
            - type: object
              required:
                - chatBubbleType
                - attachment
              properties:
                chatBubbleType:
                  type: string
                  description: メッセージタイプ
                  enum:
                    - PREMIUM_VIDEO
                header:
                  type: string
                  maxLength: 20
                  description: |
                    `header`フィールドは任意です。

                    - 改行は使用できません。
                message:
                  type: string
                  maxLength: 76
                  description: |
                    ユーザーに送信するメッセージです。

                    - 改行は最大5個です。
                attachment:
                  type: object
                  description: メッセージの添付内容
                  required:
                    - video
                  properties:
                    video:
                      type: object
                      description: 動画の要素
                      required:
                        - videoUrl
                      properties:
                        videoUrl:
                          type: string
                          format: uri
                          maxLength: 500
                          description: 動画アップロードAPIでアップロードした動画の`videoUrl`です。
                        thumbnailUrl:
                          type: string
                          format: uri
                          maxLength: 500
                          description: >
                            [画像アップロードAPI](/ja/api-reference/upload-kakao-brand-message-image)で登録した動画サムネイル画像のURLです。省略時は動画のデフォルトのサムネイル画像を使用します。


                            - `videoUrl`が非公開動画の場合、`thumbnailUrl`は必須です。
                    button:
                      type: array
                      maxItems: 1
                      description: ボタンの一覧
                      items:
                        $ref: '#/components/schemas/KakaoBrandMessageFreestyleButton'
                    coupon:
                      $ref: >-
                        #/components/schemas/KakaoBrandMessageFreestyleWideOrVideoCoupon
        - title: コマース型
          allOf:
            - $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequestCommon'
            - type: object
              required:
                - chatBubbleType
                - attachment
              properties:
                chatBubbleType:
                  type: string
                  description: メッセージタイプ
                  enum:
                    - COMMERCE
                additionalContent:
                  type: string
                  maxLength: 34
                  description: |
                    追加情報です。

                    - 改行は最大1個です。
                attachment:
                  $ref: >-
                    #/components/schemas/KakaoBrandMessageFreestyleCommerceAttachment
        - title: カルーセルコマース型
          allOf:
            - $ref: '#/components/schemas/KakaoBrandMessageFreestyleRequestCommon'
            - type: object
              required:
                - chatBubbleType
                - carousel
              properties:
                chatBubbleType:
                  type: string
                  description: メッセージタイプ
                  enum:
                    - CAROUSEL_COMMERCE
                carousel:
                  type: object
                  description: カルーセルの要素
                  required:
                    - list
                  properties:
                    head:
                      $ref: >-
                        #/components/schemas/KakaoBrandMessageFreestyleCarouselHead
                    list:
                      type: array
                      minItems: 1
                      maxItems: 6
                      description: |
                        カルーセルのリストです。

                        - `carousel.head`を使用しない場合、最低2個のアイテムが必要です。
                      items:
                        type: object
                        required:
                          - attachment
                        properties:
                          additionalContent:
                            type: string
                            maxLength: 34
                            description: |
                              カルーセルリストの追加情報です。

                              - 改行は最大1個です。
                          attachment:
                            description: カルーセルアイテムの画像とボタンの情報
                            allOf:
                              - $ref: >-
                                  #/components/schemas/KakaoBrandMessageFreestyleCommerceAttachment
                    tail:
                      $ref: >-
                        #/components/schemas/KakaoBrandMessageFreestyleCarouselTail
      discriminator:
        propertyName: chatBubbleType
    KakaoBrandMessageFreestyleRequestCommon:
      type: object
      required:
        - projectId
        - channelId
        - target
        - recipientList
      properties:
        projectId:
          type: string
          description: Notiflyの設定ページで確認できるプロジェクトIDです。
        channelId:
          type: string
          description: プロジェクトにカカオビジネスメッセージの送信者として登録されているカカオトークチャンネルIDです。
        target:
          type: string
          enum:
            - M
            - 'N'
            - I
          description: >-
            送信対象です。`M`はマーケティングメッセージの受信に同意した会員、`N`はそのうちチャンネルを友だち追加していない会員、`I`はチャンネルの友だちです。自由形式メッセージは`I+N`に対応していません。
        adult:
          type: boolean
          default: false
          description: 成人向けメッセージかどうかを指定します。
        recipientList:
          type: array
          minItems: 1
          maxItems: 1000
          description: 送信先のリストです。同じリクエストに含まれるすべての送信先に、同じメッセージを配信します。
          items:
            $ref: '#/components/schemas/KakaoBrandMessageFreestyleRecipient'
    KakaoBrandMessageFreestyleTextImageButton:
      description: カカオブランドメッセージのボタンタイプごとに使用できるパラメーターと必須パラメーターです。
      allOf:
        - type: object
          required:
            - name
          properties:
            name:
              type: string
              maxLength: 14
              description: ボタンのタイトル
        - $ref: '#/components/schemas/KakaoBrandMessageFreestyleButtonCommon'
    KakaoBrandMessageFreestyleCoupon:
      type: object
      description: >
        メッセージの最下部に表示するクーポンの要素です。


        -
        `alimtalk=coupon://`形式のチャンネルクーポンURLを使用する場合、`schemeAndroid`または`schemeIos`のいずれかが必須です。

        - チャンネルクーポンURLを使用しない通常のクーポンでは、`urlMobile`が必須です。
      required:
        - title
        - description
      allOf:
        - type: object
          properties:
            title:
              $ref: '#/components/schemas/KakaoBrandMessageFreestyleCouponTitle'
            description:
              type: string
              maxLength: 12
              description: クーポンの説明
        - $ref: '#/components/schemas/KakaoBrandMessageFreestyleCouponLinks'
    KakaoBrandMessageFreestyleImageAttachment:
      type: object
      description: メッセージの添付内容
      required:
        - image
      properties:
        image:
          $ref: '#/components/schemas/KakaoBrandMessageFreestyleImage'
        button:
          type: array
          maxItems: 5
          description: |
            ボタンの一覧です。

            クーポンを含める場合は最大4個です。
          items:
            $ref: '#/components/schemas/KakaoBrandMessageFreestyleTextImageButton'
        coupon:
          $ref: '#/components/schemas/KakaoBrandMessageFreestyleCoupon'
    KakaoBrandMessageFreestyleWideAttachment:
      type: object
      description: メッセージの添付内容
      required:
        - image
      properties:
        image:
          $ref: '#/components/schemas/KakaoBrandMessageFreestyleImage'
        button:
          type: array
          maxItems: 2
          description: ボタンの一覧
          items:
            $ref: '#/components/schemas/KakaoBrandMessageFreestyleButton'
        coupon:
          $ref: '#/components/schemas/KakaoBrandMessageFreestyleWideOrVideoCoupon'
    KakaoBrandMessageFreestyleWideItem:
      type: object
      required:
        - imgUrl
        - urlMobile
      properties:
        title:
          type: string
          maxLength: 30
          description: |
            アイテムのタイトルです。

            - 1番目のアイテムは最大25文字、改行は最大1個です。
            - 2番目から5番目のアイテムは最大30文字、改行は最大1個です。
        imgUrl:
          type: string
          format: uri
          description: >-
            [画像アップロードAPI](/ja/api-reference/upload-kakao-brand-message-image)で登録したアイテム画像のURLです。
        urlMobile:
          type: string
          format: uri
          maxLength: 1000
          description: モバイル端末でクリックしたときに開くURLです。
        urlPc:
          type: string
          format: uri
          maxLength: 1000
          description: PCでクリックしたときに開くURLです。
        schemeAndroid:
          type: string
          maxLength: 1000
          description: Androidモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
        schemeIos:
          type: string
          maxLength: 1000
          description: iOSモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
    KakaoBrandMessageFreestyleButton:
      description: カカオブランドメッセージのボタンタイプごとに使用できるパラメーターと必須パラメーターです。
      allOf:
        - type: object
          required:
            - name
          properties:
            name:
              type: string
              maxLength: 8
              description: ボタンのタイトル
        - $ref: '#/components/schemas/KakaoBrandMessageFreestyleButtonCommon'
    KakaoBrandMessageFreestyleWideOrVideoCoupon:
      type: object
      description: >
        メッセージの最下部に表示するクーポンの要素です。


        -
        `alimtalk=coupon://`形式のチャンネルクーポンURLを使用する場合、`schemeAndroid`または`schemeIos`のいずれかが必須です。

        - チャンネルクーポンURLを使用しない通常のクーポンでは、`urlMobile`が必須です。
      required:
        - title
        - description
      allOf:
        - type: object
          properties:
            title:
              $ref: '#/components/schemas/KakaoBrandMessageFreestyleCouponTitle'
            description:
              type: string
              maxLength: 18
              description: クーポンの説明
        - $ref: '#/components/schemas/KakaoBrandMessageFreestyleCouponLinks'
    KakaoBrandMessageFreestyleCarouselFeedItem:
      type: object
      required:
        - header
        - message
        - attachment
      properties:
        header:
          type: string
          maxLength: 20
          description: |
            カルーセルリストのヘッダーです。

            - 改行は使用できません。
        message:
          type: string
          maxLength: 180
          description: |
            カルーセルリストのメッセージです。

            - 改行は最大10個です。
        attachment:
          type: object
          description: カルーセルアイテムの画像とボタンの情報
          required:
            - image
            - button
          properties:
            image:
              description: カルーセルの画像
              allOf:
                - $ref: '#/components/schemas/KakaoBrandMessageFreestyleImage'
            button:
              type: array
              minItems: 1
              maxItems: 2
              description: カルーセルリストのボタン一覧
              items:
                $ref: '#/components/schemas/KakaoBrandMessageFreestyleButton'
            coupon:
              $ref: '#/components/schemas/KakaoBrandMessageFreestyleCoupon'
    KakaoBrandMessageFreestyleCarouselTail:
      type: object
      description: もっと見るボタン
      required:
        - urlMobile
      properties:
        urlMobile:
          type: string
          format: uri
          maxLength: 1000
          description: モバイル端末でクリックしたときに開くURLです。
        urlPc:
          type: string
          format: uri
          maxLength: 1000
          description: PCでクリックしたときに開くURLです。
        schemeAndroid:
          type: string
          maxLength: 1000
          description: Androidモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
        schemeIos:
          type: string
          maxLength: 1000
          description: iOSモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
    KakaoBrandMessageFreestyleCommerceAttachment:
      type: object
      description: メッセージの添付内容
      required:
        - image
        - commerce
        - button
      properties:
        image:
          $ref: '#/components/schemas/KakaoBrandMessageFreestyleImage'
        commerce:
          $ref: '#/components/schemas/KakaoBrandMessageFreestyleCommerce'
        button:
          type: array
          minItems: 1
          maxItems: 2
          description: ボタンの一覧
          items:
            $ref: '#/components/schemas/KakaoBrandMessageFreestyleButton'
        coupon:
          $ref: '#/components/schemas/KakaoBrandMessageFreestyleCoupon'
    KakaoBrandMessageFreestyleCarouselHead:
      type: object
      description: カルーセルのイントロ
      required:
        - header
        - content
        - imageUrl
      properties:
        header:
          type: string
          maxLength: 20
          description: |
            カルーセルイントロのヘッダーです。

            - 改行は使用できません。
        content:
          type: string
          maxLength: 50
          description: |
            カルーセルイントロの内容です。

            - 改行は最大2個です。
        imageUrl:
          type: string
          format: uri
          description: >-
            [画像アップロードAPI](/ja/api-reference/upload-kakao-brand-message-image)で登録したカルーセルイントロ画像のURLです。
        urlMobile:
          type: string
          format: uri
          maxLength: 1000
          description: >
            モバイル端末でクリックしたときに開くURLです。


            -
            `urlMobile`、`urlPc`、`schemeAndroid`、`schemeIos`のいずれかを指定する場合、`urlMobile`は必須です。
        urlPc:
          type: string
          format: uri
          maxLength: 1000
          description: PCでクリックしたときに開くURLです。
        schemeAndroid:
          type: string
          maxLength: 1000
          description: Androidモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
        schemeIos:
          type: string
          maxLength: 1000
          description: iOSモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
    KakaoBrandMessageFreestyleRecipient:
      type: object
      required:
        - recipientNo
      properties:
        recipientNo:
          type: string
          description: 送信先の携帯電話番号です。
    KakaoBrandMessageFreestyleButtonCommon:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - WL
            - AL
            - BK
            - MD
            - AC
            - BC
            - BT
            - BF
          description: |
            ボタンタイプです。メッセージを送信するには、選択したタイプの必須パラメーターをすべて指定する必要があります。

            - `AC` - クリックするとカカオトークチャンネルを友だち追加します。
                - 黄色の強調ボタンとして表示されます。ボタンが複数ある場合は、指定の位置に配置する必要があります。
                    - `TEXT`、`IMAGE` - 1番目のボタン、最上部。
                    - その他のタイプ - 2番目のボタン、右側。
                - `name`は`채널 추가`で固定です。
                - カルーセル全体で1個のみ使用できます。
                - ターゲット`M`、`N`でのみ使用できます。
            - `WL` - 指定したWebリンクを開きます。
              - `urlMobile`は必須です。
            - `AL` - 指定したアプリスキームまたはWebリンクを開きます。
              - `schemeAndroid`、`schemeIos`、`urlMobile`のうち、2個以上が必須です。
            - `BK` - ボタンのテキストを送信します。
            - `MD` - ボタンのテキストとメッセージ本文を送信します。
            - `BC` - 相談トークを利用するカカオトークチャンネルでのみ使用できます。
            - `BT` - Kakao i Open Builderのチャットボットを利用するカカオトークチャンネルでのみ使用できます。
            - `BF` - カカオビジネスフォームを開きます。
                - 黄色の強調ボタンとして表示されます。指定の位置に配置する必要があります。
                - `AC`ボタンがない場合:
                    - `TEXT`、`IMAGE` - 1番目のボタン、最上部。
                    - その他のタイプ - 2番目のボタン、右側。
                - `AC`ボタンがある場合:
                    - `TEXT`、`IMAGE` - 2番目のボタン、上から2番目。
                    - その他のタイプ - 1番目のボタン、左側。
                - `name`には次のいずれかを指定します。
                    - `톡에서 예약하기`
                    - `톡에서 설문하기`
                    - `톡에서 응모하기`
                - `bizFormKey`は必須です。
        schemeAndroid:
          type: string
          maxLength: 1000
          description: Androidモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
        schemeIos:
          type: string
          maxLength: 1000
          description: iOSモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
        urlMobile:
          type: string
          format: uri
          maxLength: 1000
          description: モバイル端末でクリックしたときに開くURLです。
        urlPc:
          type: string
          format: uri
          maxLength: 1000
          description: PCでクリックしたときに開くURLです。
        chatExtra:
          type: string
          description: 相談トークとカカオトークのチャットボットを切り替える際に渡すメタデータです。
        chatEvent:
          type: string
          description: カカオトークのチャットボットに切り替える際に呼び出すイベント名です。
        bizFormKey:
          type: string
          description: ビジネスフォームのアップロード時に発行される`bizFormKey`です。
    KakaoBrandMessageFreestyleCouponTitle:
      type: string
      description: |
        クーポンのタイトルです。

        使用できるクーポンタイトルは次のとおりです。

        - `${숫자}원 할인 쿠폰`。数値の範囲は1から99,999,999です。
        - `${숫자}% 할인 쿠폰`。数値の範囲は1から100です。
        - `배송비 할인 쿠폰`
        - `${7자 이내} 무료 쿠폰`。プレースホルダーは7文字以内です。
        - `${7자 이내} UP 쿠폰`。プレースホルダーは7文字以内です。
    KakaoBrandMessageFreestyleCouponLinks:
      type: object
      properties:
        urlMobile:
          type: string
          format: uri
          maxLength: 1000
          description: モバイル端末でクリックしたときに開くURLです。
        urlPc:
          type: string
          format: uri
          maxLength: 1000
          description: PCでクリックしたときに開くURLです。
        schemeAndroid:
          type: string
          maxLength: 1000
          description: Androidモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
        schemeIos:
          type: string
          maxLength: 1000
          description: iOSモバイル端末でクリックしたときに起動するアプリのカスタムスキームです。
    KakaoBrandMessageFreestyleImage:
      type: object
      description: 画像の要素
      required:
        - imgUrl
      properties:
        imgUrl:
          type: string
          format: uri
          description: >
            [画像アップロードAPI](/ja/api-reference/upload-kakao-brand-message-image)で登録した画像のURLです。


            - `CAROUSEL_COMMERCE`では、すべての画像の縦横比を統一する必要があります。
        imgLink:
          type: string
          format: uri
          maxLength: 1000
          description: 画像をクリックしたときに開くURLです。省略すると、カカオトーク内の画像ビューアーで開きます。
    KakaoBrandMessageFreestyleCommerce:
      type: object
      description: コマースの要素
      required:
        - title
        - regularPrice
      properties:
        title:
          type: string
          maxLength: 30
          description: |
            商品のタイトルです。

            - 改行は使用できません。
        regularPrice:
          type: integer
          minimum: 0
          maximum: 99999999
          description: 通常価格
        discountPrice:
          type: integer
          minimum: 0
          maximum: 99999999
          description: 割引後の価格
        discountRate:
          type: integer
          minimum: 1
          maximum: 100
          description: |
            割引率です。

            割引後の価格を指定する場合、`discountRate`または`discountFixed`のいずれかが必須です。
        discountFixed:
          type: integer
          minimum: 0
          maximum: 999999
          description: |
            定額の割引額です。

            割引後の価格を指定する場合、`discountRate`または`discountFixed`のいずれかが必須です。
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '`POST /authenticate`で発行したトークンをBearer形式で送信します。'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.